;;
;; FILE:     client.rkt
;; AUTHOR:   Eugene Wallingford
;; DATE:     2020/01/27
;; COMMENT:  A program that uses the boom! procedure exported
;;           by another module.
;;

#lang racket

;; -- The following expression says that this file requires functions
;; -- exported by the file "boom.rkt".  The expression does not give
;; -- a path, so boom.rkt must live in the same directory as this file.

(require "boom.rkt")

;; -- The rest of the file is like any other program file, except
;; -- that it can use names exported by the file required above.

(boom!)

;; -- ... but it *cannot* use names *not* exported by that file.

;; (make-! "bam")

